import { computed as r, openBlock as i, createElementBlock as a, createElementVNode as l, unref as _, normalizeStyle as p } from "vue";
const d = (e, o) => {
  const t = e.__vccOpts || e;
  for (const [n, c] of o)
    t[n] = c;
  return t;
}, u = { class: "c-crypto-icon" }, m = ["src", "alt"], y = {
  __name: "CryptoIcon",
  props: {
    size: {
      type: Number,
      default: 32
    },
    name: {
      type: String,
      required: !0
    }
  },
  setup(e) {
    var s;
    const { size: o, name: t } = e, n = (s = window.location.origin) != null ? s : "/", c = r(() => `${n}/node_modules/crypto-icons-eterex/dist/assets/icons/${String(t).toLowerCase()}_.svg`);
    return (f, h) => (i(), a("div", u, [
      l("img", {
        src: _(c),
        alt: e.name,
        style: p({ width: `${e.size}px`, height: `${e.size}px` })
      }, null, 12, m)
    ]));
  }
}, g = /* @__PURE__ */ d(y, [["__scopeId", "data-v-c569e6e3"]]);
function x(e, o = {}) {
  e.component("CryptoIcon", g);
}
export {
  g as CryptoIcon,
  x as default
};
